name: Backend ci

on:
  pull_request:
    branches:
      - master
defaults:
  run:
    working-directory: backend




jobs:
  build:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout
        uses: actions/checkout@v6
      - name: Go setup
        uses: actions/setup-go@v6
        with:
          go-version: '1.25.6'
          cache: false
      - name: Install deps
        run: go mod tidy
      - name: Golangci-lint
        uses: golangci/golangci-lint-action@v9.2.0
        with:
          working-directory: backend
          args: --timeout=5m
          skip-cache: true
      - name: Run tests
        run: go test ./...
      - name: Build
        run: go build -o backend ./cmd/main.go
